package ac.ed.lurg.landuse;

import ac.sac.raster.AbstractRasterReader;
import ac.sac.raster.RasterSet;

public class ProtectedAreasReader extends AbstractRasterReader<LandUseItem> {	
	
	public ProtectedAreasReader (RasterSet<LandUseItem> dataset) {
		super(dataset);
	}

	@Override
	public void setData(LandUseItem lcData, String token) {
		if (!"nan".equals(token)) {	
			double protFrac = Double.parseDouble(token);
			lcData.setProtectedFract(protFrac);
		}
	}	
}