package ac.ed.lurg.utils;

import java.util.HashMap;

public class NestedMap<K, V> {

	private final HashMap<K, NestedMap> node;
	private V value;
	
	public NestedMap() {
		node = new HashMap<>();
		value = null;
	}
	
	public void makeNode(K key) {
		this.node.put(key, new NestedMap());
	}
	
	public NestedMap<K, V> getNode(K key) {
		return this.node.get(key);
	}
	
	public boolean hasNode(K key) {
		return this.node.containsKey(key);
	}
	
	public void setValue(V value) {
		this.value = value;
	}
	
	public V getValue() {
		return value;
	}
	

}
