package ac.ed.lurg.utils;

import java.util.HashMap;
import java.util.Map;

public class TripleMap<K, L, M, V> {
	
	private Map<K, DoubleMap<L, M, V >> theMap = new HashMap<K, DoubleMap<L, M, V>>(); 
	
	public TripleMap() {
		
	}
	
	public void put(K key1, L key2, M key3, double value) {
		if (theMap.containsKey(key1)) {
			theMap.get(key1).put(key2, key3, value);	
		} else {
			DoubleMap<L, M, V> innerMap = new DoubleMap<L, M, V>();
			innerMap.put(key2, key3, value);
			theMap.put(key1, innerMap);
		}
	} 

	public Double get(K key1, L key2, M key3) {
		if (theMap.containsKey(key1)) {
			return theMap.get(key1).get(key2, key3);
		} else {
			return null;
		}
	}
	
	public DoubleMap<L, M, V> getInnerMap(K key) {
		return theMap.get(key);

	}
	
	public Map<K, DoubleMap<L, M, V >> getMap() {
		return theMap;
	}
}
