package ac.ed.lurg.country;

import java.util.Map;

import ac.ed.lurg.types.LandCoverType;

public class ForestRecord {
	private int yearPlanted;
	private int location;
	private LandCoverType forestType;
	private double area;
	private double potentialYield;
	
	public ForestRecord() {}
	
	public ForestRecord(int yearPlanted, int location, LandCoverType forestType, double area, double potentialYield) {
		this.yearPlanted = yearPlanted;
		this.location = location;
		this.forestType = forestType;
		this.area = area;
		this.potentialYield = potentialYield;
	}
	
	public ForestRecord(int location, LandCoverType forestType, double area, double potentialYield) {
		this.location = location;
		this.forestType = forestType;
		this.area = area;
		this.potentialYield = potentialYield;
	}
	
	public ForestRecord(int yearPlanted, ForestRecord forestRecordToCopy) {
		this();
		this.yearPlanted = (yearPlanted);
		location = (forestRecordToCopy.getLocation());
		forestType = (forestRecordToCopy.getForestType());
		area = (forestRecordToCopy.getArea());
		potentialYield = (forestRecordToCopy.potentialYield);
	}

	public int getYearPlanted() {
		return yearPlanted;
	}

	public void setYearPlanted(int yearPlanted) {
		this.yearPlanted = yearPlanted;
	}

	public int getLocation() {
		return location;
	}

	public LandCoverType getForestType() {
		return forestType;
	}

	public double getArea() {
		return area;
	}
	
	public void setArea(double area) {
		this.area = area;
	}

	public double getPotentialYield() {
		return potentialYield;
	}
}
