package ac.ed.lurg.landuse;

import java.util.Collection;

import ac.sac.raster.RasterHeaderDetails;
import ac.sac.raster.RasterKey;
import ac.sac.raster.RasterSet;

public class WoodYieldRasterSet extends RasterSet<WoodYieldItem> {

	private static final long serialVersionUID = 3310840203660415050L;

	public WoodYieldRasterSet(RasterHeaderDetails header) {
		super(header);
	}
	
	protected WoodYieldItem createRasterData() {
		return new WoodYieldItem();
	}
	
	@Override
	public WoodYieldRasterSet createSubsetForKeys(Collection<RasterKey> keys) {
		WoodYieldRasterSet subsetWoodYieldRaster = new WoodYieldRasterSet(getHeaderDetails());
		popSubsetForKeys(subsetWoodYieldRaster, keys);		
		return subsetWoodYieldRaster;
	}
}
